Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::SharedMemoryProtocolProperties_out Class Reference

`#include <RTCORBAC.h>`

Collaboration diagram for RTCORBA::SharedMemoryProtocolProperties_out:

[legend]
List of all members.

## Public Methods
| SharedMemoryProtocolProperties_out (SharedMemoryProtocolProperties_ptr &)
| SharedMemoryProtocolProperties_out (SharedMemoryProtocolProperties_var &)
| SharedMemoryProtocolProperties_out (const SharedMemoryProtocolProperties_out &)
SharedMemoryProtocolProperties_out & | operator= (const SharedMemoryProtocolProperties_out &)
SharedMemoryProtocolProperties_out & | operator= (const SharedMemoryProtocolProperties_var &)
SharedMemoryProtocolProperties_out & | operator= (SharedMemoryProtocolProperties_ptr)
| operator SharedMemoryProtocolProperties_ptr & ()
SharedMemoryProtocolProperties_ptr & | ptr (void)
SharedMemoryProtocolProperties_ptr | operator-> (void)
## Private Attributes
SharedMemoryProtocolProperties_ptr & | ptr_

## Constructor & Destructor Documentation

RTCORBA::SharedMemoryProtocolProperties_out::SharedMemoryProtocolProperties_out | ( | SharedMemoryProtocolProperties_ptr & |  | ) |

RTCORBA::SharedMemoryProtocolProperties_out::SharedMemoryProtocolProperties_out | ( | SharedMemoryProtocolProperties_var & |  | ) |

RTCORBA::SharedMemoryProtocolProperties_out::SharedMemoryProtocolProperties_out | ( | const SharedMemoryProtocolProperties_out & |  | ) |

## Member Function Documentation

RTCORBA::SharedMemoryProtocolProperties_out::operator SharedMemoryProtocolProperties_ptr & | ( |  | ) |

SharedMemoryProtocolProperties_ptr RTCORBA::SharedMemoryProtocolProperties_out::operator-> | ( | void |  | ) |

SharedMemoryProtocolProperties_out& RTCORBA::SharedMemoryProtocolProperties_out::operator= | ( | SharedMemoryProtocolProperties_ptr |  | ) |

SharedMemoryProtocolProperties_out& RTCORBA::SharedMemoryProtocolProperties_out::operator= | ( | const SharedMemoryProtocolProperties_var & |  | ) |

SharedMemoryProtocolProperties_out& RTCORBA::SharedMemoryProtocolProperties_out::operator= | ( | const SharedMemoryProtocolProperties_out & |  | ) |

SharedMemoryProtocolProperties_ptr& RTCORBA::SharedMemoryProtocolProperties_out::ptr | ( | void |  | ) |

## Member Data Documentation

SharedMemoryProtocolProperties_ptr& RTCORBA::SharedMemoryProtocolProperties_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- RTCORBAC.h